> For the complete documentation index, see [llms.txt](https://docs.samesystem.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.samesystem.dev/api-v1-reference/users/get-user-by-id.md).

# Get user by id

*We recommmend using our API v2 for all user related tasks. Please avoid using this endpoint for future integrations. It might be deprecated in the future.*

Please notice that this endpoint requires an export template in your client. Contact SameSystem regarding this.

Get user by internal id.

```json
{"openapi":"3.0.0","info":{"title":"SameSystem API V1","version":"1.1.3"},"servers":[{"url":"https://api.samesystem.com/api/v1/","description":""}],"paths":{"/{clientToken}/users/{id}":{"get":{"tags":["Users"],"summary":"Get user by id","description":"*We recommmend using our API v2 for all user related tasks. Please avoid using this endpoint for future integrations. It might be deprecated in the future.*\n\nPlease notice that this endpoint requires an export template in your client. Contact SameSystem regarding this.\n\nGet user by internal id.","operationId":"get-clientToken-users-id","parameters":[{"name":"clientToken","in":"path","description":"Token in a form of \"c\\<clientId\\>\".","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"Internal ID of the user.","required":true,"schema":{"type":"string"}},{"name":"type","in":"query","description":"Name of the export template. If not present \"default\" will be used. Contact SameSystem if you need an export template.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful. Output will depend on the export template. Example is listed below but this will vary depending on the agreed setup.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}}}},"components":{"schemas":{"User":{"type":"object","properties":{"user_id":{"type":"number"},"wage_earner_no":{"type":"string","description":"Payroll number (on contract)"},"role":{"type":"string"},"civil_no":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"address_line1":{"type":"string"},"postal_code":{"type":"string"},"city":{"type":"string"},"mobile":{"type":"string"},"email":{"type":"string"},"salary_dpt_no":{"type":"string"},"start_date":{"type":"string","format":"date"},"employee_type":{"type":"string","description":"Fulltime or Hourly"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.samesystem.dev/api-v1-reference/users/get-user-by-id.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
